﻿<%@ Page Language="vb" AutoEventWireup="true" CodeBehind="Default.aspx.vb" Inherits="DisplayASimpleMap._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <script src="Script/jquery-1.7.1.min.js" type="text/javascript"></script>
    <script type="text/jscript">
        function OnMapCreated() {
            OpenLayers.Control.Hover = OpenLayers.Class(OpenLayers.Control, {
                defaultHandlerOptions: {
                    'delay': 1000,
                    'pixelTolerance': 6,
                    'stopMove': false
                },

                initialize: function (options) {
                    this.handlerOptions = OpenLayers.Util.extend(
                        {}, this.defaultHandlerOptions
                    );
                    OpenLayers.Control.prototype.initialize.apply(
                        this, arguments
                    );
                    this.handler = new OpenLayers.Handler.Hover(
                        this,
                        { 'pause': this.onPause },
                        this.handlerOptions
                    );
                },

                onPause: function (evt) {
                    var lonlat = map.getLonLatFromViewPortPx(evt.xy);
                    var coordinate = new OpenLayers.Geometry.Point(lonlat.lon, lonlat.lat);

                    $DoCallback(coordinate, function (result, context) {
                        var featureInfoPopup = Map1.GetOpenLayersMap().popups[0];
                        featureInfoPopup.setContentHTML(result);
                        featureInfoPopup.lonlat = lonlat;
                        featureInfoPopup.updatePosition();
                        featureInfoPopup.show();
                    }, coordinate);
                }
            });

            var hoverControl = new OpenLayers.Control.Hover({
                handlerOptions: { 'delay': 1000, 'pixelTolerance': 6 }
            });

            function $DoCallback(lonlat, callbackEvent, context) {
                WebForm_DoCallback("__Page", lonlat, callbackEvent, context, null, false);
            }

            var map = Map1.GetOpenLayersMap();
            map.addControl(hoverControl);
            hoverControl.activate();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <div>
                <cc1:Map ID="Map1" runat="server" Width="800px" Height="600px">
                </cc1:Map>
            </div>
        </div>
    </form>
</body>
</html>